Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1607163 - gnulib-tool --update doesn't work
Summary: gnulib-tool --update doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnulib
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-22 18:46 UTC by Jaroslav Škarvada
Modified: 2018-10-30 17:15 UTC (History)
2 users (show)

Fixed In Version: gnulib-0-27.20180720git.fc28 gnulib-0-27.20180720git.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-10 22:45:34 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2018-07-22 18:46:56 UTC
Description of problem:
gnulib-tool --update doesn't work

Version-Release number of selected component (if applicable):
gnulib-devel-0-24.20170217git.fc28.noarch

How reproducible:
Always

Steps to Reproduce:
1. cd to project
2. gnulib-tool --update
3.

Actual results:
gnulib-tool --update
Module list with included dependencies (indented):
  autobuild
  git-version-gen
    gnumakefile
  maintainer-makefile
    test-framework-sh
    test-framework-sh-tests
  update-copyright
    update-copyright-tests
    useless-if-before-free
    vc-list-files
    vc-list-files-tests
File list:
  build-aux/git-version-gen
  build-aux/update-copyright
  build-aux/useless-if-before-free
  build-aux/vc-list-files
  lib/dummy.c
  m4/00gnulib.m4
  m4/autobuild.m4
  m4/gnulib-common.m4
  m4/onceonly.m4
  tests/init.sh
  tests/test-init.sh
  tests/test-update-copyright.sh
  tests/test-vc-list-files-cvs.sh
  tests/test-vc-list-files-git.sh
  top/GNUmakefile
  top/maint.mk
/usr/bin/gnulib-tool: *** file /usr/share/gnulib/top/GNUmakefile not found
/usr/bin/gnulib-tool: *** Stop.


Expected results:
No error, gnulib updated

Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-07-23 06:42:24 UTC
I tried it on a sample project, and I don't get this error. Is the repo where you are doing this public? Please provide more instructions how to reproduce.

Comment 2 Jaroslav Škarvada 2018-07-23 08:15:13 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> I tried it on a sample project, and I don't get this error. Is the repo
> where you are doing this public? Please provide more instructions how to
> reproduce.

Thanks for reply, I tried:
# dnf install gnulib-devel
$ fedpkg co oath-toolkit
$ cd oath-toolkit
$ fedpkg prep
$ cd oath-toolkit-2.6.1
$ gnulib-tool --update
Module list with included dependencies (indented):
  autobuild
  git-version-gen
    gnumakefile
  maintainer-makefile
    test-framework-sh
    test-framework-sh-tests
  update-copyright
    update-copyright-tests
    useless-if-before-free
    vc-list-files
    vc-list-files-tests
File list:
  build-aux/git-version-gen
  build-aux/update-copyright
  build-aux/useless-if-before-free
  build-aux/vc-list-files
  lib/dummy.c
  m4/00gnulib.m4
  m4/autobuild.m4
  m4/gnulib-common.m4
  m4/onceonly.m4
  tests/init.sh
  tests/test-init.sh
  tests/test-update-copyright.sh
  tests/test-vc-list-files-cvs.sh
  tests/test-vc-list-files-git.sh
  top/GNUmakefile
  top/maint.mk
Copying file gl/m4/gnulib-tool.m4
/usr/bin/gnulib-tool: *** file /usr/share/gnulib/top/GNUmakefile not found
/usr/bin/gnulib-tool: *** Stop.

If I checked out gnulib from the upstream git and rerun the command with the upstream gnulib, there is no error.

Comment 3 Jan Kurik 2018-08-14 08:42:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Fedora Update System 2018-09-18 05:24:07 UTC
gnulib-0-27.20180720git.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-77a1e9c2d1

Comment 5 Fedora Update System 2018-09-18 05:24:15 UTC
gnulib-0-27.20180720git.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-14cdd99f6e

Comment 6 Fedora Update System 2018-09-18 09:06:52 UTC
gnulib-0-27.20180720git.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-14cdd99f6e

Comment 7 Fedora Update System 2018-09-20 16:16:34 UTC
gnulib-0-27.20180720git.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-77a1e9c2d1

Comment 8 Fedora Update System 2018-10-10 22:45:34 UTC
gnulib-0-27.20180720git.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-30 17:15:54 UTC
gnulib-0-27.20180720git.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.